/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.web.client.internal.WorkItemStateChangeRunnable"); //$NON-NLS-1$

dojo.require("com.ibm.team.apt.web.client.internal.WorkItemChangeRunnable"); //$NON-NLS-1$

dojo.require("com.ibm.team.workitem.web.client.internal.WorkItemClient"); //$NON-NLS-1$
dojo.require("com.ibm.team.repository.web.transport.ServiceResponseHandler"); //$NON-NLS-1$

(function() {
	
var WorkItemClient					= com.ibm.team.workitem.web.client.internal.WorkItemClient;
var ServiceResponseHandler			= com.ibm.team.repository.web.transport.ServiceResponseHandler;
	
dojo.declare("com.ibm.team.apt.web.client.internal.WorkItemStateChangeRunnable", //$NON-NLS-1$
			 [com.ibm.team.apt.web.client.internal.WorkItemChangeRunnable], {
	
	constructor: function() {
	},
	
	__sentinel: null // terminates this class definition
});

com.ibm.team.apt.web.client.internal.WorkItemStateChangeRunnable.constructorArgs= function(planItem, workflowActionId, resolutionId, resultStateId, undoRunnable) {
	var result= {
	};
	
	var attributeIdentifiers;
	var attributeValues;
	if (resolutionId) {
		attributeIdentifiers= ["internalResolution"]; //$NON-NLS-1$
		attributeValues= [resolutionId];
	} else {
		attributeIdentifiers= [];
		attributeValues= [];
	}

	return dojo.mixin(result, 
			com.ibm.team.apt.web.client.internal.WorkItemChangeRunnable.constructorArgs(
				planItem, undoRunnable, attributeIdentifiers, attributeValues, [], workflowActionId, resultStateId
			)); //$NON-NLS-1$
};
})();