/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.client.internal.attributes.SequenceAttribute"); //$NON-NLS-1$

dojo.require("com.ibm.team.apt.client.internal.attributes.PlanItemWorkItemAttribute"); //$NON-NLS-1$

(function() {
	
var PlanItemWorkItemAttribute		= com.ibm.team.apt.client.internal.attributes.PlanItemWorkItemAttribute;

dojo.declare("com.ibm.team.apt.client.internal.attributes.SequenceAttribute", PlanItemWorkItemAttribute, {  //$NON-NLS-1$
	
	constructor: function(descriptor, workItemAttribute, valueIndex) {
	},
	
	updateFromWorkingCopy: function(receiver, deltaBuilder) {
		//84598: Work item working copy destroys ranking
		//we do not synchronize this with the working copy. The value can't be changed in the editor anyway
 	},
 	
 	// ---- implementation -------------------------------------------------------------------------------------------------
	
	__sentinel: null // terminates this class definition
});

})();
