/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.ui.model.CustomMarkerTag"); //$NON-NLS-1$

dojo.require("com.ibm.team.apt.ui.model.EntryTag"); //$NON-NLS-1$

(function() {

dojo.declare("com.ibm.team.apt.ui.model.CustomMarkerTag", //$NON-NLS-1$
			  com.ibm.team.apt.ui.model.EntryTag, {


	constructor: function(tagUniquenessMarker, severity, message) {
		this.severity= severity;
		this.message= message;
	},
	
	// --- API -------------------------------------------------------------------------------------------------------------
	
	severity: null,
	message: null,
	
	getMessage: function() {
		return this.message;
	},

	getSeverity: function() {
		return this.severity;
	},
	
	// ---- implementation -------------------------------------------------------------------------------------------------

	__sentinel: null // terminates this class definition
});

})();
