/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
({
	'ActiveTeamChanges_0': "Active team changes",
	'Loading_0': "Loading...",	
	'RepositoryWorkspaceBrowser_0': "Error fetching workspaces",
	'RepositoryWorkspaceBrowser_1': "No Repository Workspaces",
	'ScmClient_0': "Authentication is required to access the requested resource.  Please refresh the page to attempt authentication again",
	'ScmClient_1': "Your account does not belong to the groups that are authorized to access the Web UI.  Please contact your server administrator",
	'ScmPageController_0': "Source Control",
	'ScmPageController_3': "Active Team Change sets",
	'ScmPageController_4': "Error fetching team changes: ${0} - Error code ${1}",
	'ScmPageController_5': "Error fetching team changes: Server not responding",
	'ScmPageController_6': "stream ${0} not found",
	'ScmPageController_7': "Error fetching stream: ${0} - Error code ${1}",
	'ScmPageController_8': "Error fetching stream: Server not responding",
	'ScmPageController_9': "workspace {0} not found",
	'ScmPageController_10': "Error fetching workspace: ${0} - Error code ${1}",
	'ScmPageController_11': "Error fetching workspace: Server not responding",
	'ScmPageController_12': "Error fetching item: ${0} - Error code ${1}",
	'ScmPageController_13': "Error fetching item: Server not responding",
	'ScmPageController_14': "${0} history not found",
	'ScmPageController_15': "Error fetching component history: ${0} - Error code ${1}",
	'ScmPageController_16': "Error fetching component history: Server not responding",
	'ScmPageController_17': "Error fetching item history: ${0} - Error code ${1}",
	'ScmPageController_18': "Error fetching item history: Server not responding",
	'ScmPageController_19': "Error fetching change set: ${0} - Error code ${1}",
	'ScmPageController_20': "Error fetching change set: Server not responding",
	'ScmPageController_21': "state ${0} of item ${1} not found",
	'ScmPageController_22': "${0} file not found",
	'ScmPageController_23': "Error fetching item: ${0}",
	'ScmPageController_24': "Error fetching item: Server not responding",
	'ScmPageController_25': "Error fetching baselines: ${0} - Error code ${1}",
	'ScmPageController_26': "Error fetching baselines: Server not responding",
	'ScmPageController_27': "Retrieving team changes", 
	'ScmPageController_28': "Retrieving stream components",
	'ScmPageController_29': "Retrieving workspace components",
	'ScmPageController_30': "Retrieving content",
	'ScmPageController_31': "Retrieving component history",
	'ScmPageController_32': "Retrieving item history",
	'ScmPageController_33': "Opening change set",
	'ScmPageController_34': "Retrieving content",
	'ScmPageController_35': "Retrieving snapshots", 
	'ScmPageController_UnknownWorkspace' : "{unknown workspace}",
	'ScmPageView_0': "My Repository Workspaces",
	'ScmPageView_1': "Streams in Project Area",
	'ScmPageView_2': "My Locks",
	'StreamBrowse_0': "Filter by My Project and Team Areas",
	'StreamBrowse_1': "Error fetching streams",
	'StreamBrowse_2': "No streams",
	'StreamBrowse_3': "No streams in team areas",
	'StreamWorkspaceView_0': "Unable to show file as its content is not text.",
	'StreamWorkspaceView_1': "Select a stream or workspace for browsing.",
	'StreamWorkspaceView_2': "Stream / Workspace",
	'StreamWorkspaceView_3': "No Stream or Workspace Selected.",
	'StreamWorkspaceView_4': "Modified on: ",
	'StreamWorkspaceView_5': "Author: ",
	'StreamWorkspaceView_6': "Comment: ",
	'StreamWorkspaceView_7': "&lt;No Comment&gt;",
	'StreamWorkspaceView_8': "Reasons: ",
	'StreamWorkspaceView_9': "&lt;None&gt;",
	'StreamWorkspaceView_10': "Changes: ",
	'StreamWorkspaceView_11': "Show file content",
	'StreamWorkspaceView_12': "Go to diff",
	'StreamWorkspaceView_13': "(Modified)",
	'StreamWorkspaceView_14': "(Renamed from ${0})",
	'StreamWorkspaceView_15': "(Moved)",
	'StreamWorkspaceView_16': "(Deleted)",
	'StreamWorkspaceView_17': "diff: ",
	'StreamWorkspaceView_18': " - ",
	'StreamWorkspaceView_19': "View older version of ${0}",
	'StreamWorkspaceView_20': "Before",
	'StreamWorkspaceView_21': " | ",
	'StreamWorkspaceView_22': "View newer version of ${0}",
	'StreamWorkspaceView_23': "After",
	'StreamWorkspaceView_24': "Line",
	'StreamWorkspaceView_25': " > ",
	'StreamWorkspaceView_26': "View component history",
	'StreamWorkspaceView_27': "History",
	'StreamWorkspaceView_28': " Change set",
	'StreamWorkspaceView_29': "Item History",
	'StreamWorkspaceView_30': "Component History",
	'StreamWorkspaceView_31': "<b>Comment:</b> ",
	'StreamWorkspaceView_32': "Open Change set",
	'StreamWorkspaceView_33': "<No Comment>",
	'StreamWorkspaceView_34': "<b>Reasons:</b> ",
	'StreamWorkspaceView_35': "&lt;None&gt;",
	'StreamWorkspaceView_36': "Created by: ",
	'StreamWorkspaceView_37': "<b>Modified on:</b> ",
	'StreamWorkspaceView_38': "<b>Added by:</b> ",
	'StreamWorkspaceView_39': "<b>Added on:</b> ",
	'StreamWorkspaceView_40': "Team Active Changes",
	'StreamWorkspaceView_41': "Active Change sets",
	'StreamWorkspaceView_42': "No current active team change sets.",
	'StreamWorkspaceView_43': "Open Change set",
	'StreamWorkspaceView_44': "Files and Folders",
	'StreamWorkspaceView_45': "Directory is empty.",
	'StreamWorkspaceView_46': "Description: ",
	'StreamWorkspaceView_47': "<None>",
	'StreamWorkspaceView_48': "Flow Targets",
	'StreamWorkspaceView_49': "No Flow Targets",
	'StreamWorkspaceView_50': "Components",
	'StreamWorkspaceView_51': "No Components",
	'StreamWorkspaceView_52': "Show:",
	'StreamWorkspaceView_53': "${0} History",
	'StreamWorkspaceView_54': "History",
	'StreamWorkspaceView_55': "Download",
	'StreamWorkspaceView_56': " . . . > ",
	'StreamWorkspaceView_57': "(Added)",
	'StreamWorkspaceView_58': "\u00AB Newer", 
	'StreamWorkspaceView_59': "Older  \u00BB",
	'StreamWorkspaceView_60': "Upload",
	'StreamWorkspaceView_61': "Delete",
	'StreamWorkspaceView_62': "Add File",
	'StreamWorkspaceView_63': "Add Folder",
	'StreamWorkspaceView_64': "Lock",
	'StreamWorkspaceView_65': "Unlock",
	'StreamWorkspaceView_66': "Locking...",
	'StreamWorkspaceView_67': "Unlocking...",
	'StreamWorkspaceView_68': "Lock and download",
	'StreamWorkspaceView_69': "Create and edit a new text file",
	'StreamWorkspaceView_70': "Edit text file",
	'ResourcesEditor_titleDeleteSingleFile': "Click Save to confirm delete.",
	'ResourcesEditor_titleDeleteSingleFolder': "Click Save to confirm delete.",
	'ResourcesEditor_titleAddSingleFolder': "New folder",
	'ResourcesEditor_titleUploadSingleFile': "Upload new content",
	'ResourcesEditor_titleUploadSingleFileAdd': "New file",
	'ResourcesEditor_titleNewTextFile': "New text file",
	'ResourcesEditor_titleEditTextFile': "Edit text file",
	'ResourcesEditor_labelAddComment': "Add comment:",
	'ResourcesEditor_labelSave': "Save",
	'ResourcesEditor_labelSaving': "Saving",
	'ResourcesEditor_labelCancel': "Cancel",		
	'ResourcesEditor_progressNewFolder': "Adding new folder...",
	'ResourcesEditor_progressDeleteResource': "Deleting...",
	'ResourcesEditor_progressUpdatingResource': "Updating...",
	'ResourcesEditor_progressWorkItem': "Associating work item...",
	'ResourcesEditor_notUploaded': "Uploading is not complete.",
	'ResourcesEditor_labelEditFileProperties': "Edit File Properties",
	'ResourcesEditor_PromptUnlocked' : "This resource is unlocked and may have been changed by someone else. Select OK to lock and modify the current version, or Cancel to leave the resource unchanged.",
	'ResourcesEditor_PromptLockedByOther' : "This resource is locked by ${0}. Resource cannot be modified.",
	'ResourcesEditor_PromptNotText' : "This resource does not appear to be a text file. Its content type is currently set as ${0}. If you edit this file, the file might become unusable. Click OK to continue, or Cancel to leave the resource unchanged.",
	'ResourcesEditor_PromptTooBig' : "The size of this resource is ${0}. Loading the content in the text editor may take a long time. Click OK to continue, or Cancel to leave the resource unchanged.",
	'ResourcesEditor_UnknownContentType' : "<unknown>",
	'ResourcesEditor_PromptNotUTF8' : "The encoding of this resource is currently set as ${0}. It will be converted into UTF-8 for display and editing then converted back into ${0}. Some characters may not be converted correctly and the file might become unusable. Click OK to continue, or Cancel to leave the resource unchanged.",
	'UploadItem_labelName': "Name:",
	'UploadItem_labelExecutable': "Executable:",
	'UploadItem_labelLastModifiedBy': "Last modified by:",	
	'UploadItem_labelSize': "Size",
	'UploadItem_labelContentMimeType': "Content MIME-Type:",
	'UploadItem_labelLineDelimiter': "Line Delimiter:",
	'UploadItem_labelTextFileEncoding': "Text File Encoding:",
	'UploadItem_labelAction': "Action",
	'UploadItem_labelCancelUpload': "Cancel Upload",
	'UploadItem_labelBusyUploading': "Uploading...",
	'UploadItem_notUploaded': "Uploading is not complete.",
	'UploadItem_labelRemove': "Remove Content",
	'UploadItem_UploadFailed': "Upload failed",	
	'UploadItem_cbLdNoneBinary': "None (Binary)",	
	'UploadItem_cbLdLFUnix': "LF (Unix)",	
	'UploadItem_cbLdCRMac': "CR (Mac)",	
	'UploadItem_cbLdCRLFWindows': "CRLF (Windows)",
	'UploadItem_cbPlatform': "Platform",	
	'UploadItem_cbCmtAutoDetect': "- Auto Detect -",
	'UploadItem_cbCmtBinary': "Binary file (application/octet-stream)",	
	'UploadItem_cbCmtPlainText': "Plain text (text/plain)",	
	'UploadItem_cbCmtHtml': "HTML source (text/html)",	
	'UploadItem_cbCmtXml': "XML source (application/xml)",	
	'UploadItem_cbCmtGif': "GIF image (image/gif)",	
	'UploadItem_cbCmtJpeg': "JPEG image (image/jpeg)",	
	'UploadItem_cbCmtPng': "PNG image (image/png)",
	'UploadItem_labelAddFile': "Add file:",
	'UploadItem_labelModifiedByAndWhen': "${0}  on  ${1}",
	'TextEditorItem_labelEditContent': "Edit content:",
	'NewFolderItem_labelFolderName': "Name:",
	'WorkItemLinksItem_labelLinks': "Associate work item...",
	'WorkItemLinksItem_labelRemove': "Remove work item",
	'FileFolderProp_Name': "Name",
	'FileFolderProp_Size': "Size",
	'FileFolderProp_LastMod': "Last Modified",
	'FileFolderProp_ModBy': "Modified By",
	'FileFolderProp_ContentType': "Content Type",
	'FileFolderProp_LineDelim': "Line Delimiter",
	'FileFolderProp_Encoding': "Encoding",
	'FileFolderPropName_ContentType': "Content Type: ${0}",
	'FileFolderPropName_LineDelim': "Line Delimiter: ${0}",
	'FileFolderPropName_Encoding': "Encoding: ${0}",
	'FileFolderProp_Actions': "Actions",
	'FileSizeUnit_Bytes': "${0} Bytes",
	'FileSizeUnit_KB': "${0} KB",
	'FileSizeUnit_MB': "${0} MB",
	'FileSizeUnit_GB': "${0} GB",
	'FileSizeUnit_GB': "${0} TB",	
	'LockedByLabel': "Locked by ${0}",
	'LockedByMeLabel': "Locked by me",
	'LockedByOtherDecorator': "(Locked by ${0})",
	'LockedByMeDecorator': "(Locked by me)",
	'UnlockedDecorator': "(Unlocked)",
	'UnknownLockDecorator': "(Unknown lock status)",
	'FetchingItem': "Fetching Item...",
	'FileSize': "Size: ${0}",
	'FileNumOfLine': "${0} line",
	'FileNumOfLines': "${0} lines",
	'FilesFoldersView_DefaultTabTitleOverview': "Overview",
	'FilesFoldersView_TabTitleHistory': "History",
	'FilesFoldersView_TabTitleProperties': "Properties",
	'FilesFoldersView_LastModifiedBy_Who_When': "Last modified by ${0} at ${1}",
	'FilesFoldersView_ComponentEmptyMessage': "Component is empty.",
	'FilesFoldersView_FileLocked_Warning': "This file is locked by ${0}.",	
	'FilesFoldersView_FileLocked_Warning_NoName': "This file is locked by ",
	'FilesFoldersView_FileLocked_Warning_MailSubject': "Do you still need the lock on file ${0}%3F",	
	'FilesFoldersView_FileLocked_Warning_Tooltip': "${0} (@${1})",
	'userLocks_showMoreLabel': "More...",
	'FileDiffView_Added': "Added",
	'FileDiffView_Modified': "Modified",
	'FileDiffView_Renamed': "Renamed from ${0}",  
	'FileDiffView_Moved': "Moved",
	'FileDiffView_Deleted': "Deleted",	
	'FileDiffView_ItemWasChanged': "${0} was ${1}",	
	'FileDiffView_DiffPath': "Text Compare: ${0}",
	'FileDiffView_ExpandAll': "Expand All",
	'FileDiffView_CollapseAll': "Collapse All",
	'FileDiffView_ExpandAll_ToolTip': "Show details of all changes.",
	'FileDiffView_CollapseAll_ToolTip': "Hide details of all changes.",	
	'FileDiffView_ChangeAdded_Who_When': "Added by ${0} at ${1}",
	'util_TooManyDifferences' : "Too many differences"
})	