/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
// experimental code to modify workitem externally
dojo.provide("com.ibm.rational.cm.web.workitem.ui.page.linkHack");
dojo.require("com.ibm.team.workitem.web.ui.internal.view.editor.parts.LinksPart");
dojo.require("com.ibm.team.workitem.web.ui.internal.view.editor.EditorUtil");

(function(){

var EditorUtil	= com.ibm.team.workitem.web.ui.internal.view.editor.EditorUtil;
var cq = com.ibm.rational.cm.web;
var CQ_LINK_TYPE = "com.ibm.team.workitem.linktype.relatedChangeManagement";
//var CQ_LINK_TYPE = "com.ibm.team.workitem.linktype.relatedartifact";

var oldFunc = com.ibm.team.workitem.web.ui.internal.view.editor.parts.LinksPart.prototype._addLinkItems;

com.ibm.team.workitem.web.ui.internal.view.editor.parts.LinksPart.prototype._addLinkItems = function(linkType, rowItems, item, listWidget) {
	// Call the original function
	oldFunc.apply(this, arguments);
	
	// convert resource url to presentation url for Change Management links
	if(linkType.id == CQ_LINK_TYPE){
		for(var i=0; i<rowItems.length; i++){
			var linkItem = rowItems[i];
			var link = linkItem.value;
			if(link && link.url){
				var url = EditorUtil.removeHrefScripting(link.url);
				url = cq.convertResourceURLtoPresentationURL("RECORD", url);
				var fakeWidget = linkItem.columnWidgets[0]; 
				if(fakeWidget){
					var node = fakeWidget.domNode;
					if(node){
						var anchor = node.lastChild;
						if(anchor){
							anchor.href = url;
							anchor.target = "";
						}
					}
				}	
			}
		}
	}				
}

})();