/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.client.PlanElementAttributeDelta"); //$NON-NLS-1$

(function() {


dojo.declare("com.ibm.team.apt.client.PlanElementAttributeDelta", null, { //$NON-NLS-1$
	
	__attribute: null,
	__oldValue: null,
	__newValue: null,
	__generation: null,
	
	constructor: function(attribute, oldValue, newValue, generation) {
		this.__attribute= attribute;
		this.__oldValue= oldValue;
		this.__newValue= newValue;
		this.__generation= generation;
	},

	// ---- api ------------------------------------------------------------------------------------------------------------

	/**
	 * @type Attribute
	 */
	getAttribute: function() {
		return this.__attribute;
	},

	/**
	 * @type any
	 */
	getOldValue: function() {
		return this.__oldValue;
	},

	/**
	 * @type any
	 */
	getNewValue: function() {
		return this.__newValue;
	},

	getGeneration: function() {
		return this.__generation;
	},
	
	// ---- implementation -------------------------------------------------------------------------------------------------

	__sentinel: null // terminates this class definition
});


})();
