/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.ui.model.EntryTag"); //$NON-NLS-1$

(function() {


dojo.declare("com.ibm.team.apt.ui.model.EntryTag", null, { //$NON-NLS-1$

	__value: null,

	constructor: function(value) {
		this.__value= value;
	},
	
	// ---- API ------------------------------------------------------------------------------------------------------------

	getValue: function() {
		return this.__value;
	},
	
	// ---- implementation -------------------------------------------------------------------------------------------------

	equals: function(other) {
		if (this === other)
			return true;
		if (!other)
			return false;
		if (this.declaredClass != other.declaredClass)
			return false;

		return this.__value === other.__value;
	},

	__sentinel: null // terminates this class definition
});


})();
